Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 24 Jun 2021 04:23:48 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I wish to make a complaint. I placed order 6318873297 on Monday 14/6, for delivery today Sunday 20/6. 

On Tuesday, a driver called me saying he was on his way, and after some talk it turned out he was given the wrong address Sulaimaneya, Riyadh, instead of Sulaimaneya, Sakaka, even though my delivery address was correct. He said he can't drive 9 hours, and that I should pick it up from there. I told him there's a Centerpoint branch just 5 minutes away from me, can't they deliver? He asked me to call customer service to check, so I did. I was assured the problem was resolved. 

The only reason I ordered online was that we hadn't received our car yet, so we couldn't carry those items with us. The very next day though, our car arrived, so I asked customer service if I could change  "delivery" to "collect at store", but they said no because the order had already been shipped and was on the way.

I was in touch with them daily since 15 to 20 June, and they all assured me the order was already on it's was and would arrive soon. Yesterday's customer service agent even told me that one package was already delivered! Of course I told her I hadn't received anything yet.

Today, to my surprise, I received a message that part of my order was cancelled. I called customer service again, and the agent told me it's because the item was not available in stock! So how can the item be "not in stock" and "already shipped and on its way to me" at the same time?! I've been contacting customer service for 6 consecutive days, been told the order was shipped and nearly here daily, and in the end I find out it was never even in stock???

I asked them to cancel the rest of the order because I was fed up really. I placed another order for a crib that is supposed to arrive tomorrow, and the app says "processing" still. Will that be cancelled, too? I need confirmation, please, because I'm going to buy the items from my cancelled order tomorrow, from the branch, although one of them is out stock ironically, the out of stock item is not the cancelled item!!!

This was a very disappointing experience. My family and I have been loyal customers of Centerpoint and sister companies in Kuwait and Egypt, this was my first experience in KSA and I am very sad... https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2742086